=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -flto
#export DEB_CXXFLAGS_MAINT_APPEND  = -flto
#export DEB_LDFLAGS_MAINT_APPEND  = -flto
export CC = $(DEB_HOST_GNU_TYPE)-gcc
export DIR

ifeq ($(shell dpkg-architecture -qDEB_HOST_MULTIARCH),x86_64-linux-gnu)
    DIR=linux_x86_64
    MAKESCRIPT=MAKE_LINUX_X86_64
endif
ifeq ($(shell dpkg-architecture -qDEB_HOST_MULTIARCH),i386-linux-gnu)
    DIR=linux_x86
    MAKESCRIPT=MAKE_LINUX_X86
endif
ifeq ($(shell dpkg-architecture -qDEB_HOST_MULTIARCH),arm-linux-gnueabihf)
    DIR=linux_arm
    MAKESCRIPT=MAKE_LINUX_ARM_ARMHF
endif
ifeq ($(shell dpkg-architecture -qDEB_HOST_MULTIARCH),aarch64-linux-gnu)
    DIR=linux_arm64
    MAKESCRIPT=MAKE_LINUX_ARM64
endif
ifeq ($(shell dpkg-architecture -qDEB_HOST_MULTIARCH),riscv64-linux-gnu)
    DIR=linux_riscv64
    MAKESCRIPT=MAKE_LINUX_RISCV64
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure
	chmod +x pixilang3/make/MAKE_LINUX_RISCV64
	mkdir pixilang3/bin/linux_riscv64

override_dh_auto_build:
	cd ./pixilang3/make/ && ./$(MAKESCRIPT)
